VFS_FHTOVP(9)

NAME
VFS_FHTOVP - turn an NFS filehandle into a vnode

SYNOPSIS
#include <sys/mount.h>
#include <sys/vnode.h>
int
VFS_FHTOVP(struct mount *mp, struct fid *fhp, struct mbuf *nam, struct vnode **vpp, int *exflagsp, struct ucred **credanonp);

DESCRIPTION
This is used by the NFS server to turn an NFS filehandle into a vnode.

Its arguments are:

mp  The filesystem.

fhp The filehandle to convert.

nam An mbuf containing the network address of the client.

vpp Return parameter for the new locked vnode.

exflagsp
    Return parameter for the export flags for this client.

credanonp
    Return parameter for the anonymous credentials for this client.

The contents of the filehandle are defined by the filesystem and are not examined by any other part of the system. It should contain enough information to uniquely identify a file within the filesystem as well as noticing when a file has been removed and the filesystem resources have been reused for a new file. For instance, UFS filesystem stores the inode number and inode generation counter in its filehandle.

The filesystem should call vfs_export_lookup(9) with the address of an appropriate netexport structure and the address of the client, nam, to verify that the client can access this filesystem.

RETURN VALUES
The locked vnode for the file will be returned in *vpp. The export flags and anonymous credentials specific to the client (returned by vfs_export_lookup(9)) will be returned in *exflagsp and *credanonp.

SEE ALSO
vnode(9), VFS(9), VFS_VPTOFH(9)

AUTHORS
This man page was written by Doug Rabson.